import {BasicColumn} from '/src/components/Table';
//列表数据
export const columns: BasicColumn[] = [
  {
    title: '套餐类型',
    align: 'left',
    dataIndex: 'marketType_dictText',
  },
  {
    title: '套餐名称',
    align: 'left',
    dataIndex: 'planName',
  },
  {
    title: '关键词数量',
    align: 'center',
    dataIndex: 'keywordCount',
    customRender: function({text, record})  {
      if (record.marketType == 'SEO') {
        return text + '个'
      } else if (record.marketType == 'ARTICLE') {
        return text + '篇'
      } else if (record.marketType == 'PSEUDOORIGINAL') {
        return text + '次'
      }else if (record.marketType == 'STATIONCONSTRUCTION') {
        return text + '个'
      }
    }
  },
  {
    title: '关键词达标目标',
    align: 'center',
    dataIndex: 'target',
  },
  {
    title: '服务时间',
    align: 'center',
    dataIndex: 'serviceTime',
    customRender: function ({text}) {
      return text + '月'
    }
  },
  {
    title: '价格',
    align: 'center',
    dataIndex: 'price',
    customRender: function ({text}) {
      return text + '元'
    }
  },
];

// 高级查询数据
export const superQuerySchema = {
  marketType: {title: '套餐类型', order: 0, view: 'list', type: 'string'},
  planName: {title: '套餐名称', order: 1, view: 'text', type: 'string'},
  keywordCount: {title: '关键词数量', order: 2, view: 'number', type: 'number'},
  target: {title: '关键词达标目标', order: 3, view: 'number', type: 'number'},
  serviceTime: {title: '服务时间', order: 4, view: 'number', type: 'number'},
  price: {title: '价格', order: 5, view: 'number', type: 'number'},
};
